org.eclipse.jdt.core

## Interface ITypeHierarchyChangedListener

    public interface ITypeHierarchyChangedListener

A listener which gets notified when a particular type hierarchy object changes.

This interface may be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `typeHierarchyChanged(ITypeHierarchy typeHierarchy)` Notifies that the given type hierarchy has changed in some way and should be refreshed at some point to make it consistent with the current state of the Java model.

### Method Detail

#### typeHierarchyChanged

    void typeHierarchyChanged(ITypeHierarchy typeHierarchy)

Notifies that the given type hierarchy has changed in some way and should be refreshed at some point to make it consistent with the current state of the Java model.

Parameters:
  `typeHierarchy` - the given type hierarchy